<div class="container">
    <form (ngSubmit)="submit()" [formGroup]="userForm">
        <div class="form-group">
            <label for="username">
                Username
            </label>
            <input type="text" id="username" class="form-control"
                placeholder="username" [formControl]="userForm.get('username')">
            <small class="text-danger" *ngIf="userForm.get('username').hasError('required')">
                required!
            </small>
        </div>

        <div class="form-group">
            <label for="password">
                Password
            </label>
            <input type="password" id="password" class="form-control"
                [formControl]="userForm.get('password')">
            <small class="text-danger" *ngIf="userForm.get('password').hasError('required')">
                required!
            </small>
        </div>
        <div>
            <small class="text-danger" *ngIf="hasError">
                {{error}}
            </small>
        </div>
        <button class="btn btn-primary" type="submit">
            {{ inputOptions.login ? "Login" : "Register" }}
        </button>
    </form>
</div>